Subject: Re: unknown pseudo-op: `.subsection'
From: "mohanlal jangir" <[email-masked]>
To: "chris" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Mon, 13 Oct 2003 16:25:08 +0530

> OK, first brief problem. Are you trying to compile this with the
> intention of running it under cygwin? Because that isn't going to work,
> and isn't the kind of thing cygwin was designed for. Cygwin "emulates"
> unix function calls to allow unix (or posix) programs to be compiled
> under windows. It isn't a virtual machine on which you can run the linux
> kernel. If that is the kind of thing you want to do, google for "virtual
> x86" or something similar.
>
> If you want to cross-compile it for use on a linux box (why?) you'll
> have to compile a cross-compiling version of gcc, which isn't too
> difficult but takes a while.
>
Well, my intension is what you described later. But I though of compiling
with native gcc rather then trying directly with a cross compiler. Basically
I am working on a windows machine and trying to debug linux kernel on a
linux machine (remote debugging).
If it is giving problem with native compiler then it is going to give
problem with cross compiler also. Isn't it?

Regards
Mohanlal

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/